# Adafruit TSC2046 Touchscreen Library [![Build Status](https://github.com/adafruit/Adafruit_TSC2046/workflows/Arduino%20Library%20CI/badge.svg)](https://github.com/adafruit/Adafruit_TSC2046/actions)

This is the Adafruit TSC2046 Resistive Touchscreen Library for Arduino. The documentation can be found [here](https://adafruit.github.io/Adafruit_TSC2046).

Tested and works great with the Adafruit TSC2046 Breakout Board:
[<img src="assets/board.jpeg?raw=true" width="500px">](https://www.adafruit.com/product/5767)

This chip uses SPI to communicate; at least 3 pins are required to interface. See the [documentation](https://adafruit.github.io/Adafruit_TSC2046/html/index.html#connecting)
for more information.

Adafruit invests time and resources providing this open source code, please support Adafruit and open source hardware by purchasing products from Adafruit!

## Dependencies
 - [Adafruit BusIO](https://github.com/adafruit/Adafruit_BusIO)

# Contributing

Contributions are welcome! Please read our [Code of Conduct](./CODE_OF_CONDUCT.md) before contributing to help this project stay welcoming.

## Documentation and Doxygen

Documentation is produced by Doxygen. Contributions should include documentation for any new code added.

Some examples of how to use Doxygen can be found in these guide pages:

https://learn.adafruit.com/the-well-automated-arduino-library/doxygen

https://learn.adafruit.com/the-well-automated-arduino-library/doxygen-tips

Written by Qyriad for Adafruit Industries.
MIT license, check LICENSE file for more information.
All text above must be included in any redistribution.

To install, use the Arduino Library Manager and search for "Adafruit TSC2046" and install the library.
